xhtml-3000.2.0.1: An XHTML combinator library

Text.XHtml.Debug

Description

This module contains functions for displaying HTML as a pretty tree.

Synopsis

- data HtmlTree
  - = HtmlLeaf Html
  - | HtmlNode Html [HtmlTree] Html
- treeHtml :: [String] -> HtmlTree -> Html
- treeColors :: [String]
- debugHtml :: HTML a => a -> Html

# Documentation

data HtmlTree

The basic idea is you render your structure in the form of this tree, and then use treeHtml to turn it into a Html object with the structure explicit.

Constructors

HtmlLeaf Html |
HtmlNode Html [HtmlTree] Html |

Instances

HTML HtmlTree |

treeHtml :: [String] -> HtmlTree -> Html

treeColors :: [String]

debugHtml :: HTML a => a -> Html

This uses the above tree rendering function, and displays the Html as a tree structure, allowing debugging of what is actually getting produced.